package com.xinxincaravan.caravan.vehicle.mapper;

import com.xinxincaravan.caravan.vehicle.entity.VehicleBookRecord;
import com.xinxincaravan.caravan.vehicle.vo.QueryVehicleBookRecordVo;
import com.xinxincaravan.caravan.vehicle.vo.VehicleBookRecordAndTbNameVo;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;
import java.util.Map;

public interface VehicleBookRecordMapper extends Mapper<VehicleBookRecord> {

    Integer changeRecordStatus(Map<String,Object> params);

    public List<VehicleBookRecord> getByPage4Month(Map<String,Object> params);

    public Integer insertHis(VehicleBookRecordAndTbNameVo vehicleBookRecordAndTbNameVo);

    public Integer del4YearMoth(Map<String,Object> params);

    public List<Long> getIdInYearMothLimit(Map<String,Object> params);

    public void createTbIfNotExists(String tbName);

    public List<QueryVehicleBookRecordVo> getByPage(Map<String,Object> params);

    public Integer liftOrRet(Map<String,Object> params);


    public VehicleBookRecord getById(Map<String,Object> params);
}